/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __GURU_H__
#define __GURU_H__

typedef struct _guru_data guru_data;
struct _guru_data {
    GtkWidget *profile_name;
    GtkWidget *server_address;
    GtkWidget *server_port;
    GtkWidget *server_username;
    GtkWidget *server_password;
    GtkWidget *full_name;
    GtkWidget *email;
    GtkWidget *organization;
};


void              guru_spawn       (void);
static void       guru_finish      (GnomeGuru *guru,
				    GtkWidget *destroyme);
static GtkWidget* guru_user_page   (guru_data *g);
static GtkWidget* guru_server_page (guru_data *g);
static void       guru_cancel      (GnomeGuru *guru,
				    GtkWidget *destroyme);

#endif /* __GURU_H__ */
